PAN Aadhaar Link Status API
Introduction
Linking your PAN card with Aadhaar has been made mandatory for certain services, such as filing your income tax returns. As per a recent notification from the government, the last date to link PAN with Aadhaar is 31 March 2023. Earlier, the last date was 31 March 2022.
How to call the API
Before fetching the PAN Aadhaar link status you first need to create an Identity object.
API Input Guidelines
- PAN Number
- Aadhaar Number
Step 1: Hit Identities API
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/<Patron ID>/identities' \
--header 'Authorization: <Auth Key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"type": "individualPan",
"email": "<email Id",
"callbackUrl": "https://www.w3schools.com",
"images": [images Url]
}'Identity Response Parameters
Parameters Name | Data Type | Description |
|---|---|---|
type | String | type of document |
String | mail Id of person | |
callbackUrl | String | URL where response will be posted |
images | Array | It is the url of images |
accessToken | String | Contains the access token that was received from identity request |
autoRecognition | String | autorecognition |
verification | String | It verifies |
forgeryCheck | String | It checks for forgery occurances |
id | String | Contains the Identity object id |
patronId | String | Unique user ID |
Step 2: Hit Snoops API and receives a response
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/snoops' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{
"service": "Identity",
"itemId": "<Item ID>",
"accessToken": "<Access Token>",
"task": "panAadhaarLinkStatus",
"essentials": {
"name": "",
"number": "<PAN Number>",
"uid": "<Aadhaar Number>",
"fuzzy": "true/false"
}
}'Response Parameters
Parameters Name | Data Type | Description |
|---|---|---|
accessToken | String | Contains the access token that was received from identity request |
id | String | Contains the patron Id of the snoop request |
response.id | String | |
response.result.verified | Boolean | This returns whether the request aadhaar and PAN is linked or not, if linked then true or false |
response.result.ageBand | String | For ex. 20-30 denotes that age of the request aadhaar holder is in between that band |
response.result.state | String | State of the Aadhaar holder |
response.result.mobileNumber | | Mobile number of the Aadhaar holder |
response.result.gender | String | Gender of the Aadhaar holder |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].